org.eclipse.net4j.util.ui

## Class ManagedLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.net4j.util.ui.ManagedLabelProvider

- All Implemented Interfaces:
    IBaseLabelProvider, ILabelProvider
  Direct Known Subclasses:
    TableLabelProvider

      public class ManagedLabelProvider
      extends LabelProvider

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedLabelProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LocalResourceManager` | `createResourceManager()`
    `void` | `dispose()`
    `java.lang.Object` | `getResource(DeviceResourceDescriptor descriptor)`
    `ResourceManager` | `getResourceManager()`

    - ### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

      `getImage, getText`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, isLabelProperty, removeListener`

- - ### Constructor Detail

    - #### ManagedLabelProvider

          public ManagedLabelProvider()

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `IBaseLabelProvider`
      Overrides:
        `dispose` in class `BaseLabelProvider`

    - #### getResource

          public java.lang.Object getResource(DeviceResourceDescriptor descriptor)

    - #### getResourceManager

          public final ResourceManager getResourceManager()

    - #### createResourceManager

          protected LocalResourceManager createResourceManager()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html